program ASFDemoMagic;

uses
  Forms,
  ASFDemoMain in 'ASFDemoMain.pas' {frm_Main},
  SysUtils,
  GDIPAPI,
  ASFLists in '..\ASFLists.pas',
  ASFMain in '..\ASFMain.pas';

{$R *.res}

var
  Anim1: TAnimationFrames;
  SplashImagePath, s: string;
  i: Integer;

begin
  SplashImagePath := ExtractFilePath(ParamStr(0)) + 'img\';

  AnimationSplashForm := TAnimationSplashForm.CreateFrom(SplashImagePath + 'Splash.png');
  //   ,       
//  AnimationSplashForm := TAnimationSplashForm.CreateEmptyBackGround(196, 273, 72, 72);

  //     
  AnimationSplashForm.ShowTaskbarButton := True;
  //  ,  ShowTaskbarButton = True
  AnimationSplashForm.SplashFormCaption := '...';
  //    
  AnimationSplashForm.SplashFormTopMost := False;
  //     
  //   , .. SetTimerInterval * FadeSpeed
  AnimationSplashForm.FadeSpeed := 7;
  //   
  AnimationSplashForm.SetTimerInterval(15);

// 
  //  
  AnimationSplashForm.ProgressIconsVisible := True;
  //    ( )    LoadingPartTime
  // 100 ,       (LoadingPartTime),
  // 50 -    
  AnimationSplashForm.IconFullPaintPercent := 100;
  //    
  AnimationSplashForm.IconAnimation := iaSlideLeft;
  //    -  
  AnimationSplashForm.IconPosLeft := 44;
  //    -  
  AnimationSplashForm.IconPosTop := 135;
  //   
  AnimationSplashForm.IconSpace := 0;
  //  .    ..
  //   . = 0,     .
  AnimationSplashForm.IconStep := 0;
  //    
  AnimationSplashForm.Icons.LoadFromFile(SplashImagePath + 'Icons.dat');
{  //         
  //       
  AnimationSplashForm.Icons.AddFromFile(SplashImagePath + 'Progress.png');
  AnimationSplashForm.Icons.SaveToFile(SplashImagePath + 'Icons.dat');}

// 
  //  
  AnimationSplashForm.AnimationsAddFromFile(SplashImagePath + 'Animation.dat');
{  //         
  //       
  Anim1 := TAnimationFrames.Create;
  try
    Anim1.DelayBetweenImages := 5;
    Anim1.DelayBetweenPassage := 0;
    Anim1.PositionLeft := 278;
    Anim1.PositionTop := 3;
    for I := 1 to 15 do begin
      s := IntToStr(i);
      if Length(s) = 1 then
        s := '0' + s;
      Anim1.AddFromFile(SplashImagePath + 'Animation ' + s + '.png');
    end;
    AnimationSplashForm.AnimationsAdd(Anim1);
    Anim1.SaveToFile(SplashImagePath + 'Animation.dat');
  finally
    Anim1.Free;
  end;}

  //     
  //   ProgressBarCurrentPart   1
  AnimationSplashForm.ProgressBarSectionsCount := 1;

  AnimationSplashForm.SaveToFile(SplashImagePath + 'FullData.dat');
  
  //  Splash
  AnimationSplashForm.StartSplash;

  Application.Initialize;
  Application.CreateForm(Tfrm_Main, frm_Main);
  //   
  AnimationSplashForm.CloseSplash(30, True);

  Application.Run;
end.